shithub: libdvdcss

Download patch

ref: c909158f1f7064e60857e62d2c49e0d242f06db8
parent: b925ffff053d2fc5b0f1cb8ef41f64ecf6182ec3
author: Sam Hocevar <sam@videolan.org>
date: Fri Aug 29 14:57:45 EDT 2008

* bootstrap: update bootstrapping script.
  * configure.ac: hide autotools files in .auto/.
  * .gitignore: add an ignore file for git-svn users.

--- /dev/null
+++ b/.gitignore
@@ -1,0 +1,25 @@
+*.o
+*.lo
+*.la
+*.a
+*.exe
+*.pc
+.auto
+.libs
+.deps
+Makefile
+Makefile.in
+aclocal.m4
+autom4te.cache
+config.h.in
+config.h
+config.log
+config.status
+configure
+libtool
+stamp-*
+*-stamp
+doc/doxygen.cfg
+doc/html
+doc/latex
+test/csstest
--- a/bootstrap
+++ b/bootstrap
@@ -1,11 +1,14 @@
 #! /bin/sh
+# $Id: bootstrap 2005 2008-07-16 20:51:50Z sam $
 
-# bootstrap: the ultimate bootstrap/autogen.sh script for autotools projects
-# Copyright (c) 2002, 2003, 2004, 2005, 2006 Sam Hocevar <sam@zoy.org>
+# bootstrap: generic bootstrap/autogen.sh script for autotools projects
 #
-#    This program is free software; you can redistribute it and/or
-#    modify it under the terms of the Do What The Fuck You Want To
-#    Public License, Version 2, as published by Sam Hocevar. See
+# Copyright (c) 2002-2008 Sam Hocevar <sam@zoy.org>
+#
+#    This program is free software. It comes without any warranty, to
+#    the extent permitted by applicable law. You can redistribute it
+#    and/or modify it under the terms of the Do What The Fuck You Want
+#    To Public License, Version 2, as published by Sam Hocevar. See
 #    http://sam.zoy.org/wtfpl/COPYING for more details.
 #
 # The latest version of this script can be found at the following place:
@@ -25,17 +28,21 @@
 fi
 
 # Check for needed features
-auxdir="`sed -ne 's/^[ \t]*A._CONFIG_AUX_DIR *( *\([^ )]*\).*/\1/p' $conffile`"
-libtool="`grep -q '^[ \t]*A._PROG_LIBTOOL' $conffile && echo yes || echo no`"
-header="`grep -q '^[ \t]*A._CONFIG_HEADER' $conffile && echo yes || echo no`"
-aclocalflags="`sed -ne 's/^[ \t]*ACLOCAL_AMFLAGS[ \t]*=//p' Makefile.am`"
+auxdir="`sed -ne 's/^[ \t]*A._CONFIG_AUX_DIR *([[ ]*\([^] )]*\).*/\1/p' $conffile`"
+libtool="`grep '^[ \t]*A._PROG_LIBTOOL' $conffile >/dev/null 2>&1 && echo yes || echo no`"
+header="`grep '^[ \t]*A._CONFIG_HEADER' $conffile >/dev/null 2>&1 && echo yes || echo no`"
+makefile="`[ -f Makefile.am ] && echo yes || echo no`"
+aclocalflags="`sed -ne 's/^[ \t]*ACLOCAL_AMFLAGS[ \t]*=//p' Makefile.am 2>/dev/null || :`"
 
 # Check for automake
 amvers="no"
-for v in "-1.10" "110" "-1.9" "19" "-1.8" "18" "-1.7" "17" "-1.6" "16" "-1.5" "15"; do
-  if automake${v} --version >/dev/null 2>&1; then
-    amvers="${v}"
+for v in 11 10 9 8 7 6 5; do
+  if automake-1.${v} --version >/dev/null 2>&1; then
+    amvers="-1.${v}"
     break
+  elif automake1.${v} --version >/dev/null 2>&1; then
+    amvers="1.${v}"
+    break
   fi
 done
 
@@ -94,7 +101,7 @@
   if test ! -d "$auxdir"; then
     mkdir "$auxdir"
   fi
-  aclocalflags="${aclocalflags} -I $auxdir"
+  aclocalflags="${aclocalflags} -I $auxdir -I ."
 fi
 
 # Explain what we are doing from now
@@ -114,9 +121,11 @@
 if test "$header" = "yes"; then
   autoheader${acvers}
 fi
-#add --include-deps if you want to bootstrap with any other compiler than gcc
-#automake${amvers} --add-missing --copy --include-deps
-automake${amvers} --foreign --add-missing --copy
+if test "$makefile" = "yes"; then
+  #add --include-deps if you want to bootstrap with any other compiler than gcc
+  #automake${amvers} --add-missing --copy --include-deps
+  automake${amvers} --foreign --add-missing --copy
+fi
 
 # Remove cruft that we no longer want
 rm -Rf autom4te.cache
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 AC_INIT(src/libdvdcss.c)
 
 AC_PREREQ(2.50)
-AC_CONFIG_AUX_DIR(autotools)
+AC_CONFIG_AUX_DIR(.auto)
 AC_CANONICAL_SYSTEM
 
 AM_INIT_AUTOMAKE(libdvdcss, 1.2.9)